# Achille. An assistant to build static websites compliant to W3C standards.
# Copyright (C) 2003 David Soulayrol <dsoulayrol@free.fr>
#
# This file is part of Achille.
#
# Achille is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


# Textual data
NOTICE = """Achille version 2.0, Copyright (C) 2003 David Soulayrol
Achille comes with ABSOLUTELY NO WARRANTY; for details type `achille -w'.
This is free software, and you are welcome to redistribute it under
certain conditions; type `achille -c' for details.
"""

GPL = """Achille is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
"""

WARRANTY = """  NO WARRANTY

  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
REPAIR OR CORRECTION.

  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES.
"""

# Logger names
LOG_ROOT = 'achille'
LOG_WORKER = 'achille.worker'
LOG_LIB = 'achille.lib'
LOG_TRANSFORM = 'achille.transform'

# Indexes
INDEX_ATTR_TYPE = 'type'
INDEX_ATTR_SORT = 'sort'
INDEX_ATTR_MAX = 'articles'

NODE_INDEX_HEAD = 'head'
NODE_INDEX_PRECEDENCE = 'precedence'

INDEX_TYPE_NONE = 'None'
INDEX_TYPE_SUMMARY = 'Summary'
INDEX_TYPE_IMAGES = 'Images'
INDEX_TYPE_FILES = 'Files'
INDEX_TYPE_BOOKMARKS = 'Bookmarks'

INDEX_TYPES = [
    INDEX_TYPE_NONE,
    INDEX_TYPE_SUMMARY,
    INDEX_TYPE_IMAGES,
    INDEX_TYPE_FILES,
    INDEX_TYPE_BOOKMARKS
    ]

    
INDEX_SORT_TITLE = 'Title'
INDEX_SORT_FILE = 'File'
INDEX_SORT_DATE = 'Date'

INDEX_SORTS = [
    INDEX_SORT_TITLE,
    INDEX_SORT_FILE,
    INDEX_SORT_DATE
    ]


# XSLT
XSLT_TYPE_ARTICLE = 'article'
XSLT_TYPE_INDEX = 'index'
XSLT_TYPE_FILES = 'files'

# ... Other XSLT sheet types are index type duplicates

# CSS
CSS_TYPE_NORMAL = 'normal'
CSS_TYPE_ALTERNATE = 'alternate'
