# Achille. An assistant to build static websites compliant to W3C standards.
# Copyright (C) 2003 David Soulayrol <dsoulayrol@free.fr>
#
# This file is part of Achille.
#
# Achille is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


import os

from Ft.Xml.Domlette import implementation
from Ft.Xml.Domlette import PrettyPrint

from achille.config.constants import *
from achille.lib.files import FileSystemInterface

class IndexBuilder:
    def __init__(self, aSection):
        self._section = aSection
        self._document = None        
        self._files = {}
        
    def readDirectory(self, aDir):
        lFilesInterface = FileSystemInterface.get()
        lFilesInterface.clearIndexIn(aDir)
        lFiles = lFilesInterface.readDirectory(aDir)
        for lKey in lFiles.keys():
            if not lKey in self._files.keys():
                self._files[lKey] = []
            self._files[lKey].extend(lFiles[lKey])

    def createIndex(self, aDtdPublicId, aDtdSystemId, aNS, aRootNode):
        self._document = implementation.createDocument(aNS, aRootNode, None)
        self._document.publicId = aDtdPublicId;
        self._document.systemId = aDtdSystemId
        
    def writeIndex(self, aType):
        lFilename = os.path.join(self._section.source(), 'index.xml')
        lFile = open(lFilename, 'w')
        PrettyPrint(self._document, lFile, 'ISO-8859-15')
        lFile.close()
        FileSystemInterface.get().addFileFor(
            self._section.source(), aType, lFilename)

    def run(self):
        pass
