<?xml version="1.0" encoding="ISO-8859-15"?>
<xsl:stylesheet version="1.0"
    	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml"
	version="1.0"
	encoding="ISO-8859-15"
	indent="yes"
	doctype-public="-//W3C//DTD XHTML 1.1//EN"
	doctype-system="http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd" />

<!-- 

Achille. An assistant to build static websites compliant to W3C standards.
Copyright (C) 2003 David Soulayrol <dsoulayrol@free.fr>

This file is part of Achille.

Achille is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

-->

<xsl:include href="docbook.xsl" />
	

<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
    <head>
      <title><xsl:value-of select="$title"/></title>
      <meta name="author" content="Achille 2.0a" />
      <meta name="keywords" content="achille" />
      <xsl:copy-of select="$stylesheet" />
    </head>
    <body>
      <div class="page">


	<xsl:comment>Header Division</xsl:comment>
        <div class="header">
	  <h1>
	    <xsl:value-of select="article/title"/>
	</h1>
	</div>


	<xsl:comment>Menu Division</xsl:comment>
        <div class="menu">
	  <xsl:copy-of select="$menu" />
	</div>
  

	<xsl:comment>Content Division</xsl:comment>
        <div class="content">
	  <xsl:apply-templates />
	</div>


 	<xsl:comment>Foot - XHTML TAG - Division</xsl:comment>
        <div class="footer">
	  Utilise les standards
	  <a href="http://validator.w3.org/check/referer">XHTML 1.1</a> 
	  et <a href="http://jigsaw.w3.org/css-validator/check/referer">CSS 2</a>
        </div>


	<xsl:comment>Generation TAG Division</xsl:comment>
        <div class="generation">
          Modifi le <xsl:value-of select="article/artheader/date" /> et
	  gnr par Achille <xsl:value-of select="$achille_version" /> le
     <xsl:value-of select="$generated_date" />
        </div>

      </div>
    </body>
  </html>
</xsl:template>
	
</xsl:stylesheet>
